Package Details: skanpage-git r254.3bc6865-1

Git Clone URL: https://aur.archlinux.org/skanpage-git.git (read-only, click to copy)
Package Base: skanpage-git
Description: KDE image scanning application (git version)
Upstream URL: https://invent.kde.org/utilities/skanpage
Licenses: GPL
Conflicts: skanpage
Provides: skanpage
Submitter: crushedtortilla
Maintainer: crushedtortilla
Last Packager: crushedtortilla
Votes: 2
Popularity: 0.000162
First Submitted: 2021-05-13 22:15 (UTC)
Last Updated: 2021-12-15 04:02 (UTC)

Latest Comments

1 2 Next › Last »

crushedtortilla commented on 2022-06-10 16:54 (UTC)

Thanks for flagging. It looks like there is no KSaneCore library in the AUR. Unfortunately I don't have time right now to add it and get this working again. I'm happy to add a maintainer or transfer ownership to someone else if they want to maintain this.

Alternatively, there is the official skanpage that was updated yesterday, so that is probably usable without being too out of date.

natthawk commented on 2022-06-10 15:35 (UTC)

Since 14 days ago, the upstream now depends on the KSaneCore library instead of libksane, so the build currently fails unless you manually clone and make install KSaneCore beforehand.

crushedtortilla commented on 2021-12-15 04:05 (UTC)

Thanks for pointing out the skanpage package now exists! I've added the provides and conflicts markers.

libksane does need the -git version. There were at least some skanpage git revisions in the past that relied on unreleased libksane functionality, and so this package failed to build until I switched it to libksane-git (and I took over that package, since it was also failing to build at that time).

dreieck commented on 2021-12-14 23:39 (UTC)

Please add provides=("skanpage"), conflicts=("skanpage").
Thanks for maintainung!

dreieck commented on 2021-12-14 23:38 (UTC) (edited on 2021-12-14 23:38 (UTC) by dreieck)

Does it really explcitly need the -git variant of libksane? Would dependency libksane not be enough instead of libksane-git?

crushedtortilla commented on 2021-09-26 22:18 (UTC)

How the PKGBUILD is set up, it will actually always build the current git master branch's tip. So even though the PKGBUILD hasn't been updated in a while, if you build it right now, it should build at sha 39cfd52.

I just rebuilt the package locally and confirmed that it builds correctly. However, I'm not going to bump the version, because according to https://wiki.archlinux.org/title/Arch_User_Repository#Flagging_packages_out-of-date, "VCS packages are not considered out of date when the pkgver changes, do not flag them as the maintainer will merely unflag the package and ignore you. AUR maintainers should not commit mere pkgver bumps."

zeroconf commented on 2021-09-26 21:53 (UTC)

Looks like quite actively updated recently - https://invent.kde.org/utilities/skanpage/activity Wouldn't it be time to update here in AUR as well?

chrys87 commented on 2021-07-13 08:15 (UTC)

Now it works here as well. seems they had issues with an broken hard disk.

now everything is fine. Thanks!

crushedtortilla commented on 2021-07-13 05:03 (UTC)

Hmm, odd. It worked for me just now, and https://invent.kde.org/frameworks/extra-cmake-modules.git seems to work in the browser for me too. Maybe invent.kde.org was down temporarily?

chrys87 commented on 2021-07-12 19:44 (UTC) (edited on 2021-07-12 19:46 (UTC) by chrys87)

Now i get another Error (timeout while cloning a git repo, is the URL correct? maybe i just try later again):

==> Erstelle Paket: extra-cmake-modules-git 5.83.0.r3302.001f901e-1 (Mo 12 Jul 2021 21:39:17 CEST) ==> Empfange Quellen... -> Klone das extra-cmake-modules git Repo... Klone in Bare-Repository '/home/chrys/.cache/yay/extra-cmake-modules-git/extra-cmake-modules' ...

fatal: konnte nicht auf 'https://invent.kde.org/frameworks/extra-cmake-modules.git/' zugreifen: Failed to connect to invent.kde.org port 443: Die Wartezeit für die Verbindung ist abgelaufen (timeout) ==> FEHLER: Fehler beim Download des extra-cmake-modules git Repos Breche ab... error downloading sources: extra-cmake-modules-git 21:41 [chrys@blackbeast ~] :( $